<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout

    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#e6e6e6"
    tools:context=".MessageChatActivity">

    <com.google.android.material.appbar.AppBarLayout
        android:id="@+id/barLayout_message_chat"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:theme="@style/Theme.PDMZAP.AppBarOverlay">

        <androidx.appcompat.widget.Toolbar
            android:id="@+id/toolbar_message_chat"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="#2196F3"
            app:popupTheme="@style/Theme.PDMZAP.PopupOverlay">

            <de.hdodenhof.circleimageview.CircleImageView
                android:id="@+id/profile_image_mchat"
                android:layout_width="32dp"
                android:layout_height="32dp"
                android:src="@drawable/profile"
                >
            </de.hdodenhof.circleimageview.CircleImageView>

            <TextView
                android:id="@+id/username_mchat"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textSize="18sp"
                android:layout_marginLeft="26dp"
                android:textColor="#FFFFFF"
                android:text="username"
                android:textStyle="bold">
            </TextView>

        </androidx.appcompat.widget.Toolbar>

    </com.google.android.material.appbar.AppBarLayout>

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/recycler_view_chats"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@id/barLayout_message_chat"
        android:layout_above="@+id/relative_layout_bottom">
    </androidx.recyclerview.widget.RecyclerView>

    <RelativeLayout
        android:id="@+id/relative_layout_bottom"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:padding="6dp"
        android:background="#FFFFFF"
        android:layout_alignParentBottom="true">

        <ImageView
            android:id="@+id/attact_image_file_btn"
            android:layout_width="40dp"
            android:layout_height="40dp"
            android:background="@drawable/ic_attach_file"
            android:layout_alignParentStart="true"
            android:layout_alignParentLeft="true">
        </ImageView>

        <EditText
            android:id="@+id/text_message"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@android:color/transparent"
            android:hint="write message here ..."
            android:layout_toRightOf="@id/attact_image_file_btn"
            android:layout_toLeftOf="@id/send_message_btn"
            android:layout_centerVertical="true"
            android:layout_marginLeft="6dp"
            android:layout_marginRight="6dp">
        </EditText>

        <ImageView
            android:id="@+id/send_message_btn"
            android:layout_width="40dp"
            android:layout_height="40dp"
            android:background="@drawable/ic_action_name"
            android:layout_alignParentEnd="true"
            android:layout_alignParentRight="true">
        </ImageView>

    </RelativeLayout>

</RelativeLayout>